Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve Gro up

From: "Zhang, Yuyong" <[email-masked]>
Date: Fri, 15 Mar 2002 12:38:05 -0800

Hi Christian, all

How the Group information are represented in the SDP? Please give a example
in SDP syntax about the usage of Group (the c-line, m-line, a-line
combination.

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Reserve Group allows you to reserve resources for different sets of a
number of properties/SDP lines. eg.
Group ID 1
	pkg1/codec = AMR
	pkg2/transport = IP
Group ID 2
	pkg1/codec = G711
	pkg2/transport = ATM

Whereas reserve value only reserves values for single properties. eg.
	pkg1/codec = AMR, G711
	pkg2/transport = ATM

Regards, Christian

John Joseph Chooracken wrote:
> 
> Hi ,
> 
>    Please tell me  what is the difference between Reserve Value and
Reserve
> Group in Local Control Descriptor.
> 
> Thanx in advance.
> 
> Regards,
> John
> "Scientists study the world as it is, engineers create the world that
never
> has been. "
> -- Theodore Von Karman
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Zhang, Yuyong" <[email-masked]>
Date: Fri, 15 Mar 2002 12:38:05 -0800

Hi Christian, all

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Regards, Christian

Reserve
never

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Fri, 15 Mar 2002 17:47:53 -0500

A group is equivalent to a session description (i.e. the v=0 line and what
follows).  So ReserveGroup indicates whether to choose and reserve resources
for one of a set of session descriptions, or to reserve resources for all of
them.  Within each, ReserveValue indicates whether to choose and reserve one
of a set of alternative values (particularly codecs) or to be prepared to
handle all of the presented values.  Christian's examples below translate
into

Case 1:

Local={
v=0
o=...
s=...
c=IP IP4 ...
m=audio ? rtp/avp 96
a=rtpmap: 96 AMR 
[see draft-ietf-avt-rtp-amr-13.txt]
v=0
o=...
s=...
c=ATM ...
m=audio ? AAL1/ATMF 0
[see RFC 3108]
etc.
}

ReserveGroup=true would cause resources to be reserved for both AMR over IP
and PCM mu-law over AAL1.  ReserveGroup=false would cause the MG to choose
one of these two possibilities, with the first being preferred.

Case 2:

Local={
v=0
o=...
s=...
c=ATM ...
m=audio ? AAL1/ATMF 96 97
a=atmmap: 96 AMR
a=atmmap: 97 PCMU
[references as above]
etc.
}

ReserveValue=true would cause resources to be reserved to support both AMR
and PCM mu-law over AAL1.  ReserveValue=false would cause resources to be
reserved for just one of these possibilities, with AMR preferred.

-----Original Message-----
From: Zhang, Yuyong [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:38 PM
To: 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve
Gro up

Hi Christian, all

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Regards, Christian

Reserve
never

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Fri, 15 Mar 2002 17:47:53 -0500

Case 1:

Local={
v=0
o=...
s=...
c=IP IP4 ...
m=audio ? rtp/avp 96
a=rtpmap: 96 AMR 

Case 2:

Local={
v=0
o=...
s=...
c=ATM ...

-----Original Message-----
From: Zhang, Yuyong [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:38 PM
To: 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve
Gro up

Hi Christian, all

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Regards, Christian

Reserve
never

---

From: "Zhang, Yuyong" <[email-masked]>
Date: Fri, 15 Mar 2002 15:43:01 -0800

Thanks Tom,
 
This really helps.
 
Regards,
 
Yuyong

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:48 PM
To: 'Zhang, Yuyong'; 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve Gro
up

Case 1: 

Local={ 
v=0 
o=... 
s=... 
c=IP IP4 ... 
m=audio ? rtp/avp 96 
a=rtpmap: 96 AMR 

Case 2: 

Local={ 
v=0 
o=... 
s=... 
c=ATM ... 

-----Original Message----- 
From: Zhang, Yuyong [ mailto:[email-masked]
<mailto:[email-masked]> ] 
Sent: Friday, March 15, 2002 2:38 PM 
To: 'Christian Groves'; John Joseph Chooracken 
Cc: [email-masked]' 
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve 
Gro up 

Hi Christian, all 

Regards, 

Yuyong 

-----Original Message----- 
From: Christian Groves [ mailto:[email-masked]
<mailto:[email-masked]> ] 
Sent: Tuesday, March 12, 2002 4:22 PM 
To: John Joseph Chooracken 
Cc: [email-masked]' 
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve 
Group 

Hello John, 

Regards, Christian 

Reserve 
never 
> -- Theodore Von Karman 
<https://www1.ietf.org/mailman/listinfo/megaco>  

_______________________________________________ 
Megaco mailing list 
[email-masked] 
https://www1.ietf.org/mailman/listinfo/megaco
<https://www1.ietf.org/mailman/listinfo/megaco>  

_______________________________________________ 
Megaco mailing list 
[email-masked] 
https://www1.ietf.org/mailman/listinfo/megaco
<https://www1.ietf.org/mailman/listinfo/megaco>

---

From: "Zhang, Yuyong" <[email-masked]>
Date: Fri, 15 Mar 2002 15:43:01 -0800

Thanks Tom,
 
This really helps.
 
Regards,
 
Yuyong

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:48 PM
To: 'Zhang, Yuyong'; 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve Gro
up

Case 1: 

Local={ 
v=0 
o=... 
s=... 
c=IP IP4 ... 
m=audio ? rtp/avp 96 
a=rtpmap: 96 AMR 

Case 2: 

Local={ 
v=0 
o=... 
s=... 
c=ATM ... 

-----Original Message----- 

Hi Christian, all 

Regards, 

Yuyong 

-----Original Message----- 

Hello John, 

Regards, Christian 

Reserve 
never

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Sat, 16 Mar 2002 11:45:20 -0500

I'll start with your second question, because it will then be easier to
answer the first.

Typically in a gateway a codec is implemented by a multi-purpose DSP, plus
code downloaded to that DSP, plus working memory.  Often the same processor
can be shared amongst different media streams simultaneously.  So here you
have three resources for allocation: processor time, code memory, and
working memory.  Add to that the network resources: the UDP (or occasionally
TCP) port.

Now we can address your first question: what does it mean to reserve
resources for multiple streams, only one of which will be processed at a
time?  As you can see from the breakdown above, it certainly means that
multiple instances of code memory will be allocated.  However, only the
maximum of the individual codec processor allocations and individual working
memories needs to be allocated.  This is a bit of a saving over a
requirement to support multiple simultaneous streams.

-----Original Message-----
From: Stefan Johansan [mailto:[email-masked]]
Sent: Friday, March 15, 2002 6:54 PM
To: [email-masked]
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve Group

Hello List,
Tom's explanation really serves a purpose of making things clear, atleast it
is making me conceptually clearer..
But I could not understand this note in the draft.(Section 7.1.8). 
NOTE " If a Local or Remote descriptor contains multiple groups of
properties, and ReserveGroup is true, then the MG is requested to  reserve
resources so that it can decode or encode the media stream according to any
of the alternatives.  For instance, if the Local  descriptor contains two
groups of properties, one specifying    packetized G.711 A-law audio and the
other G.723.1 audio, the MG reserves resources so that it can decode one
audio stream encoded in  either G.711 A-law format or G.723.1 format.  The
MG does not have to reserve resources to decode two audio streams
simultaneously, one encoded in G.711 A-law and one in G.723.1.  The
intention for the 
use of  ReserveValue is analogous. 
Doesnt this mean that MG should allocate resource for codecs G.711 A-law and
G.723.1 for this particular stream..But then the stream could come in any
fashion, and then determine the decoding algo to be used, and release the
other resource??
It will be really nice if someone could also explain (or privde some links
about) the hardware part involved in media encoding/decoding in a gateway.
Because I am a bit confused about codecs, and how does a codec (which is
just ans algo) mean a resource that needs to be reserved? 
Thanks
Stefan
From: "Tom-PT Taylor"<[email-masked]> 
To: "'Zhang, Yuyong'" <[email-masked]>, 
        "'Christian Groves'" 
         <[email-masked]>, 
        John Joseph Chooracken 
         <[email-masked]> 
Cc: "[email-masked]'" <[email-masked]> 
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve Gro 
         up 
Date: Fri, 15 Mar 2002 17:47:53 -0500 
X-Mailer: Internet Mail Service (5.5.2653.19) 
Sender: me! [email-masked] 
X-Mailman-Version: 1.0 
List-Id: Media Gateway Control <megaco.ietf.org> 
X-BeenThere: [email-masked] 

Case 1:

Local={
v=0
o=...
s=...
c=IP IP4 ...
m=audio ? rtp/avp 96
a=rtpmap: 96 AMR 

Case 2:

Local={
v=0
o=...
s=...
c=ATM ...

-----Original Message-----
From: Zhang, Yuyong [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:38 PM
To: 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve
Gro up

Hi Christian, all

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Regards, Christian

Reserve
> Group in Local Control Descriptor.

Do You Yahoo!?
Yahoo! Sports - live college hoops coverage

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Sat, 16 Mar 2002 11:45:20 -0500

-----Original Message-----
From: Stefan Johansan [mailto:[email-masked]]
Sent: Friday, March 15, 2002 6:54 PM
To: [email-masked]
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve Group

Hello List,

Case 1:

Local={
v=0
o=...
s=...
c=IP IP4 ...
m=audio ? rtp/avp 96
a=rtpmap: 96 AMR 

Case 2:

Local={
v=0
o=...
s=...
c=ATM ...

-----Original Message-----
From: Zhang, Yuyong [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:38 PM
To: 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve
Gro up

Hi Christian, all

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Regards, Christian

Reserve

Do You Yahoo!?

---

From: [email-masked]
Date: Mon, 18 Mar 2002 13:40:37 +0530

Hi Tom

Does that mean that Reserve Group has no meaning, when a single session
descriptor is being used. Or can it be applicable to multiple media
descriptor (m= fields) in a single session descriptor in this case.

Thanks,
Kapil Nayar
Hughes Software Systems Ltd.
http://www.hssworld.com

"Tom-PT Taylor" <[email-masked]> on 03/16/2002 04:17:53 AM

To:   "'Zhang, Yuyong'" <[email-masked]>, "'Christian Groves'"
      <[email-masked]>, John Joseph Chooracken
      <[email-masked]>
cc:   "[email-masked]'" <[email-masked]> (bcc: Kapil Nayar/HSS)

Subject:  RE: [Megaco] what is the meaning of Reserve Value and Reserve Gro  up

Case 1:

Local={
v=0
o=...
s=...
c=IP IP4 ...
m=audio ? rtp/avp 96
a=rtpmap: 96 AMR

Case 2:

Local={
v=0
o=...
s=...
c=ATM ...

-----Original Message-----
From: Zhang, Yuyong [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:38 PM
To: 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve
Gro up

Hi Christian, all

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Regards, Christian

Reserve
never

---

From: [email-masked]
Date: Mon, 18 Mar 2002 13:40:37 +0530

Hi Tom

Thanks,
Kapil Nayar

Case 1:

Local={
v=0
o=...
s=...
c=IP IP4 ...
m=audio ? rtp/avp 96
a=rtpmap: 96 AMR

Case 2:

Local={
v=0
o=...
s=...
c=ATM ...

-----Original Message-----
From: Zhang, Yuyong [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:38 PM
To: 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve
Gro up

Hi Christian, all

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Regards, Christian

Reserve
never

---

From: [email-masked]
Date: Mon, 18 Mar 2002 13:42:58 +0530

Hi Tom

But, is this phenomenon limited to reserving resources or extended to using
them also for media streams.
In other words, is it that the DSPs normally have resources (processor
allocations) for N streams and resources (code memory and working memory)
for N*M streams.
Is the MG supposed to have the intelligence of shifting from one codec to
another based upon the reserved list and the codec mentioned in the RTP
header of the received packets. (a costly processing but looks sensical)
OR
The MG expects the MGC to specify which codec to be ultimately used for
actual (not reserving) media transcoding.

Kapil Nayar

"Tom-PT Taylor" <[email-masked]> on 03/16/2002 10:15:20 PM

To:   Stefan Johansan <[email-masked]>, [email-masked]
cc:    (bcc: Kapil Nayar/HSS)

-----Original Message-----
From: Stefan Johansan [mailto:[email-masked]]
Sent: Friday, March 15, 2002 6:54 PM
To: [email-masked]
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve Group

Hello List,

Case 1:

Local={
v=0
o=...
s=...
c=IP IP4 ...
m=audio ? rtp/avp 96
a=rtpmap: 96 AMR

Case 2:

Local={
v=0
o=...
s=...
c=ATM ...

-----Original Message-----
From: Zhang, Yuyong [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:38 PM
To: 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve
Gro up

Hi Christian, all

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Regards, Christian

Reserve

Do You Yahoo!?

---

From: [email-masked]
Date: Mon, 18 Mar 2002 13:42:58 +0530

Hi Tom

Kapil Nayar

-----Original Message-----
From: Stefan Johansan [mailto:[email-masked]]
Sent: Friday, March 15, 2002 6:54 PM
To: [email-masked]
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve Group

Hello List,

Case 1:

Local={
v=0
o=...
s=...
c=IP IP4 ...
m=audio ? rtp/avp 96
a=rtpmap: 96 AMR

Case 2:

Local={
v=0
o=...
s=...
c=ATM ...

-----Original Message-----
From: Zhang, Yuyong [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:38 PM
To: 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve
Gro up

Hi Christian, all

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Regards, Christian

Reserve

Do You Yahoo!?

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Mon, 18 Mar 2002 13:58:19 -0500

Hi.  Your first sentence is correct.  And in Geneva we retained the
restriction that a single session description can contain only one m= line.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, March 18, 2002 2:11 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: 'Zhang, Yuyong'; 'Christian Groves'; John Joseph Chooracken;
[email-masked]'

Hi Tom

Thanks,
Kapil Nayar

Case 1:

Local={
v=0
o=...
s=...
c=IP IP4 ...
m=audio ? rtp/avp 96
a=rtpmap: 96 AMR

Case 2:

Local={
v=0
o=...
s=...
c=ATM ...

-----Original Message-----
From: Zhang, Yuyong [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:38 PM
To: 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve
Gro up

Hi Christian, all

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Regards, Christian

Reserve
never

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Mon, 18 Mar 2002 13:58:19 -0500

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, March 18, 2002 2:11 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: 'Zhang, Yuyong'; 'Christian Groves'; John Joseph Chooracken;
[email-masked]'

Hi Tom

Thanks,
Kapil Nayar

Case 1:

Local={
v=0
o=...
s=...
c=IP IP4 ...
m=audio ? rtp/avp 96
a=rtpmap: 96 AMR

Case 2:

Local={
v=0
o=...
s=...
c=ATM ...

-----Original Message-----
From: Zhang, Yuyong [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:38 PM
To: 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve
Gro up

Hi Christian, all

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Regards, Christian

Reserve
never

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Mon, 18 Mar 2002 14:01:14 -0500

I'm afraid the general answer to your questions is "it depends on the
implementation".  The second alternative would be a typical one.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, March 18, 2002 2:13 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: Stefan Johansan; [email-masked]
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve
Gro up

Hi Tom

Kapil Nayar

-----Original Message-----
From: Stefan Johansan [mailto:[email-masked]]
Sent: Friday, March 15, 2002 6:54 PM
To: [email-masked]
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve Group

Hello List,

Case 1:

Local={
v=0
o=...
s=...
c=IP IP4 ...
m=audio ? rtp/avp 96
a=rtpmap: 96 AMR

Case 2:

Local={
v=0
o=...
s=...
c=ATM ...

-----Original Message-----
From: Zhang, Yuyong [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:38 PM
To: 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve
Gro up

Hi Christian, all

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Regards, Christian

Reserve

Do You Yahoo!?

---

From: "Christer Holmberg (LMF)" <[email-masked]>
Date: Tue, 19 Mar 2002 21:15:00 +0100

Hi,

>What you suggest as desirable is exactly how ReserveValue currently
>works.  If the MG cannot reserve all the values in the list, it does NOT >return an error, but reserves those it can and returns the "pruned" >list.  If the MGC wanted to insist on the entire list, it would have to >compare the returned list with that sent and send a command to reverse >that command that reserved them.  See 7.1.8 and especially the section >that begins:
>    If ReserveGroup is true or ReserveValue is true, then the following
>rules apply.

True. My misstake. Thanks!

Regards,

Christer Holmberg
Ericsson Finland

Christer Holmberg wrote:

> Hi,
>
> I think the whole ReserveXxx mechanism lacks some features.
>
> Assuming that I send down a list of codecs to the MG, I only have two
> possibilities: reserve resources for ALL codecs, or reserve resources
for ONE
> codec.
>
> But, what if I want to tell the MG to "reserve resources for those
codecs you
> currently have DSPs for"?
>
> One solution for this would be to use ReserveValue = true, but even if
the MG
> does not manage to reserve resources for ALL codecs the command will
NOT fail.
> Instead the MG will return a descriptor with the codecs it managed to
reserve,
> and the controller (MGC) will then decide if that list is acceptable
or not.
>
> Another solution is to define some "any" value for the ReserveValue
parameter
> for this purpose.
>
> In this case the following would also work:
>
> m=audio ? rtp/avp CHOOSE
>
> Now, if ReserveValue is true, the MG will insert (using whatever
policy) a list
> of codecs it will be able to reserve resources for. If ReserveValue is
false,
> the MG will insert ONE codec (which is chooses itself).
>
> Regards,
>
> Christer Holmberg
> Ericsson Finland
>
> Tom-PT Taylor wrote:
>

--

------------------------------------------------------------
Terry L Anderson              mailto:[email-masked]
Tel:732.949.5628   Fax:732.949.7016
Lucent Technologies/INS/Voice Over IP Access Networks
Rm 2G-219A, 101 Crawfords Corner Rd, Holmdel, NJ 07733-3030
http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla

 <<Card for Terry L Anderson>>

---

From: "Christer Holmberg (LMF)" <[email-masked]>
Date: Tue, 19 Mar 2002 21:15:00 +0100

Hi,

Regards,

Christer Holmberg
Ericsson Finland

for ONE
codecs you
the MG
NOT fail.
reserve,
or not.
parameter
policy) a list
false,

--

---

From: [email-masked]
Date: Fri, 22 Mar 2002 13:43:40 +0530

Hi Tom

I couldn't find this restriction mentioned in RFC or the IG.
Could you give a pointer to this restriction in v1(RFC3105) or the related IG ?

Regards,
Kapil Nayar

"Tom-PT Taylor" <[email-masked]> on 03/19/2002 12:28:19 AM

To:   Kapil Nayar/HSS@HSS
cc:   "'Zhang, Yuyong'" <[email-masked]>, "'Christian Groves'"
      <[email-masked]>, John Joseph Chooracken
      <[email-masked]>, "[email-masked]'" <[email-masked]>

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, March 18, 2002 2:11 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: 'Zhang, Yuyong'; 'Christian Groves'; John Joseph Chooracken;
[email-masked]'

Hi Tom

Thanks,
Kapil Nayar

Case 1:

Local={
v=0
o=...
s=...
c=IP IP4 ...
m=audio ? rtp/avp 96
a=rtpmap: 96 AMR

Case 2:

Local={
v=0
o=...
s=...
c=ATM ...

-----Original Message-----
From: Zhang, Yuyong [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:38 PM
To: 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve
Gro up

Hi Christian, all

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Regards, Christian

Reserve
never

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Fri, 22 Mar 2002 14:58:23 -0500

Look in H.248v1 Corrigendum 1, section 7.1.8, at 
ftp://standards.nortelnetworks.com/megaco/docs/Current/ITU-SG16/ITU%20Last%2
0Call/

See also the message from Usha Iyer sent Wed 1/2/2002 10:31 PM EST, in the
thread "Re: [Megaco] Reserve Value and Reserve Group".

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, March 22, 2002 2:14 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: 'Zhang, Yuyong'; 'Christian Groves'; John Joseph Chooracken;
[email-masked]'

Hi Tom

I couldn't find this restriction mentioned in RFC or the IG.
Could you give a pointer to this restriction in v1(RFC3105) or the related
IG ?

Regards,
Kapil Nayar

To:   Kapil Nayar/HSS@HSS

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, March 18, 2002 2:11 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: 'Zhang, Yuyong'; 'Christian Groves'; John Joseph Chooracken;
[email-masked]'

Hi Tom

Thanks,
Kapil Nayar

Case 1:

Local={
v=0
o=...
s=...
c=IP IP4 ...
m=audio ? rtp/avp 96
a=rtpmap: 96 AMR

Case 2:

Local={
v=0
o=...
s=...
c=ATM ...

-----Original Message-----
From: Zhang, Yuyong [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:38 PM
To: 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve
Gro up

Hi Christian, all

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Regards, Christian

Reserve
never

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Fri, 22 Mar 2002 14:58:23 -0500

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, March 22, 2002 2:14 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: 'Zhang, Yuyong'; 'Christian Groves'; John Joseph Chooracken;
[email-masked]'

Hi Tom

Regards,
Kapil Nayar

To:   Kapil Nayar/HSS@HSS

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, March 18, 2002 2:11 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: 'Zhang, Yuyong'; 'Christian Groves'; John Joseph Chooracken;
[email-masked]'

Hi Tom

Thanks,
Kapil Nayar

Case 1:

Local={
v=0
o=...
s=...
c=IP IP4 ...
m=audio ? rtp/avp 96
a=rtpmap: 96 AMR

Case 2:

Local={
v=0
o=...
s=...
c=ATM ...

-----Original Message-----
From: Zhang, Yuyong [mailto:[email-masked]]
Sent: Friday, March 15, 2002 2:38 PM
To: 'Christian Groves'; John Joseph Chooracken
Cc: [email-masked]'
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve
Gro up

Hi Christian, all

Regards,

Yuyong

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 4:22 PM
To: John Joseph Chooracken
Cc: [email-masked]'
Subject: Re: [Megaco] what is the meaning of Reserve Value and Reserve
Group

Hello John,

Regards, Christian

Reserve
never